from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, File

Probabilityplot_V0_1_0 = CommandToolBuilder(tool="ProbabilityPlot", base_command=["ProbabilityPlot"], inputs=[ToolInput(tag="in_log_one_zero", input_type=Boolean(optional=True), prefix="--log10", doc=InputDocumentation(doc="Specifies that the input file format is a dot plot text file of log10 base\npair probabilities. Giving this flag with one of the text options would\ngive a file identical to the input file.")), ToolInput(tag="in_matrix", input_type=Boolean(optional=True), prefix="--matrix", doc=InputDocumentation(doc="Specifies that the input file format is a plain text matrix of base pair\nprobabilities.")), ToolInput(tag="in_svg", input_type=File(optional=True), prefix="--svg", doc=InputDocumentation(doc="Specify that the output file should be an SVG image file, rather than a\nPostscript image file.")), ToolInput(tag="in_text", input_type=File(optional=True), prefix="--text", doc=InputDocumentation(doc="Specifies that output should be a dot plot (text) file.")), ToolInput(tag="in_desc", input_type=File(optional=True), prefix="--desc", doc=InputDocumentation(doc="Configure the output of descriptions. Valid values are: (1) '' or '~none'\n-- Do not write a description (2) '~file' -- If the default description\ncorresponds to a file or path, use only the base name of the path (i.e. no\ndirectory or file extension). (3) '~~' or '~default' -- Use the default\ndescription (this is the same as not specifying the flag) (4)\n'~list|DESC1|DESC2|DESC3' -- use this syntax when the output is expected to\nhave more than one plot. It specifies a list of descriptions will be\napplied in the order given. The character immediately after '~list' will be\nused as the separator (i.e. it need not be the bar (|) character. (5) Any\nother value is assumed to be the literal description you want to have\ndisplayed in the plot legend.")), ToolInput(tag="in_entries", input_type=Boolean(optional=True), prefix="--entries", doc=InputDocumentation(doc="Specifies the number of colors in the dot plot.\nDefault is 5 colors. Minimum is 3 colors. Maximum is 15 colors.")), ToolInput(tag="in_maximum", input_type=Boolean(optional=True), prefix="--maximum", doc=InputDocumentation(doc="Specifies the maximum value that is viewable in the plot.\nDefault is the largest allowable point in a given data file. If the given\nvalue is greater than the default, it is ignored.")), ToolInput(tag="in_minimum", input_type=Boolean(optional=True), prefix="--minimum", doc=InputDocumentation(doc="Specifies the minimum value that is viewable in the plot.\nDefault is the smallest allowable point in a given data file. If the given\nvalue is less than the default, it is ignored.\n")), ToolInput(tag="in_input_file", input_type=File(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_output_file", input_type=File(), position=1, doc=InputDocumentation(doc=""))], outputs=[ToolOutput(tag="out_svg", output_type=File(optional=True), selector=InputSelector(input_to_select="in_svg", type_hint=File()), doc=OutputDocumentation(doc="Specify that the output file should be an SVG image file, rather than a\nPostscript image file.")), ToolOutput(tag="out_text", output_type=File(optional=True), selector=InputSelector(input_to_select="in_text", type_hint=File()), doc=OutputDocumentation(doc="Specifies that output should be a dot plot (text) file.")), ToolOutput(tag="out_desc", output_type=File(optional=True), selector=InputSelector(input_to_select="in_desc", type_hint=File()), doc=OutputDocumentation(doc="Configure the output of descriptions. Valid values are: (1) '' or '~none'\n-- Do not write a description (2) '~file' -- If the default description\ncorresponds to a file or path, use only the base name of the path (i.e. no\ndirectory or file extension). (3) '~~' or '~default' -- Use the default\ndescription (this is the same as not specifying the flag) (4)\n'~list|DESC1|DESC2|DESC3' -- use this syntax when the output is expected to\nhave more than one plot. It specifies a list of descriptions will be\napplied in the order given. The character immediately after '~list' will be\nused as the separator (i.e. it need not be the bar (|) character. (5) Any\nother value is assumed to be the literal description you want to have\ndisplayed in the plot legend.")), ToolOutput(tag="out_output_file", output_type=File(), selector=InputSelector(input_to_select="in_output_file", type_hint=File()), doc=OutputDocumentation(doc=""))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Probabilityplot_V0_1_0().translate("wdl", allow_empty_container=True)

